## UDisksLogicalVolume

UDisksLogicalVolume — Generated C code for the org.freedesktop.UDisks2.LogicalVolume D-Bus interface

## Functions

void | udisks_logical_volume_proxy_new ()
UDisksLogicalVolume * | udisks_logical_volume_proxy_new_finish ()
void | udisks_logical_volume_proxy_new_for_bus ()
UDisksLogicalVolume * | udisks_logical_volume_proxy_new_for_bus_finish ()
UDisksLogicalVolume * | udisks_logical_volume_proxy_new_for_bus_sync ()
UDisksLogicalVolume * | udisks_logical_volume_proxy_new_sync ()
gboolean | udisks_logical_volume_get_active ()
void | udisks_logical_volume_set_active ()
const gchar * | udisks_logical_volume_get_block_device ()
gchar * | udisks_logical_volume_dup_block_device ()
void | udisks_logical_volume_set_block_device ()
GVariant * | udisks_logical_volume_get_child_configuration ()
GVariant * | udisks_logical_volume_dup_child_configuration ()
void | udisks_logical_volume_set_child_configuration ()
gdouble | udisks_logical_volume_get_data_allocated_ratio ()
void | udisks_logical_volume_set_data_allocated_ratio ()
gdouble | udisks_logical_volume_get_metadata_allocated_ratio ()
void | udisks_logical_volume_set_metadata_allocated_ratio ()
const gchar * | udisks_logical_volume_get_name ()
gchar * | udisks_logical_volume_dup_name ()
void | udisks_logical_volume_set_name ()
const gchar * | udisks_logical_volume_get_origin ()
gchar * | udisks_logical_volume_dup_origin ()
void | udisks_logical_volume_set_origin ()
guint64 | udisks_logical_volume_get_size ()
void | udisks_logical_volume_set_size ()
const gchar * | udisks_logical_volume_get_thin_pool ()
gchar * | udisks_logical_volume_dup_thin_pool ()
void | udisks_logical_volume_set_thin_pool ()
const gchar * | udisks_logical_volume_get_type_ ()
gchar * | udisks_logical_volume_dup_type_ ()
void | udisks_logical_volume_set_type_ ()
const gchar * | udisks_logical_volume_get_uuid ()
gchar * | udisks_logical_volume_dup_uuid ()
void | udisks_logical_volume_set_uuid ()
const gchar * | udisks_logical_volume_get_volume_group ()
gchar * | udisks_logical_volume_dup_volume_group ()
void | udisks_logical_volume_set_volume_group ()
void | udisks_logical_volume_call_activate ()
gboolean | udisks_logical_volume_call_activate_finish ()
gboolean | udisks_logical_volume_call_activate_sync ()
void | udisks_logical_volume_call_cache_attach ()
gboolean | udisks_logical_volume_call_cache_attach_finish ()
gboolean | udisks_logical_volume_call_cache_attach_sync ()
void | udisks_logical_volume_call_cache_detach ()
gboolean | udisks_logical_volume_call_cache_detach_finish ()
gboolean | udisks_logical_volume_call_cache_detach_sync ()
void | udisks_logical_volume_call_cache_split ()
gboolean | udisks_logical_volume_call_cache_split_finish ()
gboolean | udisks_logical_volume_call_cache_split_sync ()
void | udisks_logical_volume_call_create_snapshot ()
gboolean | udisks_logical_volume_call_create_snapshot_finish ()
gboolean | udisks_logical_volume_call_create_snapshot_sync ()
void | udisks_logical_volume_call_deactivate ()
gboolean | udisks_logical_volume_call_deactivate_finish ()
gboolean | udisks_logical_volume_call_deactivate_sync ()
void | udisks_logical_volume_call_delete ()
gboolean | udisks_logical_volume_call_delete_finish ()
gboolean | udisks_logical_volume_call_delete_sync ()
void | udisks_logical_volume_call_rename ()
gboolean | udisks_logical_volume_call_rename_finish ()
gboolean | udisks_logical_volume_call_rename_sync ()
void | udisks_logical_volume_call_resize ()
gboolean | udisks_logical_volume_call_resize_finish ()
gboolean | udisks_logical_volume_call_resize_sync ()
UDisksLogicalVolume * | udisks_logical_volume_skeleton_new ()
void | udisks_logical_volume_complete_activate ()
void | udisks_logical_volume_complete_cache_attach ()
void | udisks_logical_volume_complete_cache_detach ()
void | udisks_logical_volume_complete_cache_split ()
void | udisks_logical_volume_complete_create_snapshot ()
void | udisks_logical_volume_complete_deactivate ()
void | udisks_logical_volume_complete_delete ()
void | udisks_logical_volume_complete_rename ()
void | udisks_logical_volume_complete_resize ()

## Types and Values

| UDisksLogicalVolume
struct | UDisksLogicalVolumeProxy
struct | UDisksLogicalVolumeProxyClass
struct | UDisksLogicalVolumeSkeleton
struct | UDisksLogicalVolumeSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksLogicalVolume

## Prerequisites

UDisksLogicalVolume requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.LogicalVolume D-Bus interface in C.

## Functions

### udisks_logical_volume_proxy_new ()

    void
    udisks_logical_volume_proxy_new (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.LogicalVolume. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_proxy_new_finish()` to get the result of the operation.

See `udisks_logical_volume_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_proxy_new_finish ()

    UDisksLogicalVolume *
    udisks_logical_volume_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLogicalVolumeProxy]

Since: 2.0.0

### udisks_logical_volume_proxy_new_for_bus ()

    void
    udisks_logical_volume_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_logical_volume_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_logical_volume_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_proxy_new_for_bus_finish ()

    UDisksLogicalVolume *
    udisks_logical_volume_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLogicalVolumeProxy]

Since: 2.0.0

### udisks_logical_volume_proxy_new_for_bus_sync ()

    UDisksLogicalVolume *
    udisks_logical_volume_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_logical_volume_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_logical_volume_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLogicalVolumeProxy]

Since: 2.0.0

### udisks_logical_volume_proxy_new_sync ()

    UDisksLogicalVolume *
    udisks_logical_volume_proxy_new_sync (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.LogicalVolume. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_logical_volume_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLogicalVolumeProxy]

Since: 2.0.0

### udisks_logical_volume_get_active ()

    gboolean
    udisks_logical_volume_get_active (UDisksLogicalVolume *object);

Gets the value of the "Active" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_logical_volume_set_active ()

    void
    udisks_logical_volume_set_active (UDisksLogicalVolume *object,
                                      gboolean value);

Sets the "Active" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_block_device ()

    const gchar *
    udisks_logical_volume_get_block_device
                                   (UDisksLogicalVolume *object);

Gets the value of the "BlockDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_block_device()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.7.1

### udisks_logical_volume_dup_block_device ()

    gchar *
    udisks_logical_volume_dup_block_device
                                   (UDisksLogicalVolume *object);

Gets a copy of the "BlockDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.7.1

### udisks_logical_volume_set_block_device ()

    void
    udisks_logical_volume_set_block_device
                                   (UDisksLogicalVolume *object,
                                    const gchar *value);

Sets the "BlockDevice" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.7.1

### udisks_logical_volume_get_child_configuration ()

    GVariant *
    udisks_logical_volume_get_child_configuration
                                   (UDisksLogicalVolume *object);

Gets the value of the "ChildConfiguration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_child_configuration()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_child_configuration ()

    GVariant *
    udisks_logical_volume_dup_child_configuration
                                   (UDisksLogicalVolume *object);

Gets a copy of the "ChildConfiguration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_child_configuration ()

    void
    udisks_logical_volume_set_child_configuration
                                   (UDisksLogicalVolume *object,
                                    GVariant *value);

Sets the "ChildConfiguration" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_data_allocated_ratio ()

    gdouble
    udisks_logical_volume_get_data_allocated_ratio
                                   (UDisksLogicalVolume *object);

Gets the value of the "DataAllocatedRatio" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_logical_volume_set_data_allocated_ratio ()

    void
    udisks_logical_volume_set_data_allocated_ratio
                                   (UDisksLogicalVolume *object,
                                    gdouble value);

Sets the "DataAllocatedRatio" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_metadata_allocated_ratio ()

    gdouble
    udisks_logical_volume_get_metadata_allocated_ratio
                                   (UDisksLogicalVolume *object);

Gets the value of the "MetadataAllocatedRatio" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_logical_volume_set_metadata_allocated_ratio ()

    void
    udisks_logical_volume_set_metadata_allocated_ratio
                                   (UDisksLogicalVolume *object,
                                    gdouble value);

Sets the "MetadataAllocatedRatio" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_name ()

    const gchar *
    udisks_logical_volume_get_name (UDisksLogicalVolume *object);

Gets the value of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_name ()

    gchar *
    udisks_logical_volume_dup_name (UDisksLogicalVolume *object);

Gets a copy of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_name ()

    void
    udisks_logical_volume_set_name (UDisksLogicalVolume *object,
                                    const gchar *value);

Sets the "Name" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_origin ()

    const gchar *
    udisks_logical_volume_get_origin (UDisksLogicalVolume *object);

Gets the value of the "Origin" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_origin()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_origin ()

    gchar *
    udisks_logical_volume_dup_origin (UDisksLogicalVolume *object);

Gets a copy of the "Origin" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_origin ()

    void
    udisks_logical_volume_set_origin (UDisksLogicalVolume *object,
                                      const gchar *value);

Sets the "Origin" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_size ()

    guint64
    udisks_logical_volume_get_size (UDisksLogicalVolume *object);

Gets the value of the "Size" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_logical_volume_set_size ()

    void
    udisks_logical_volume_set_size (UDisksLogicalVolume *object,
                                    guint64 value);

Sets the "Size" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_thin_pool ()

    const gchar *
    udisks_logical_volume_get_thin_pool (UDisksLogicalVolume *object);

Gets the value of the "ThinPool" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_thin_pool()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_thin_pool ()

    gchar *
    udisks_logical_volume_dup_thin_pool (UDisksLogicalVolume *object);

Gets a copy of the "ThinPool" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_thin_pool ()

    void
    udisks_logical_volume_set_thin_pool (UDisksLogicalVolume *object,
                                         const gchar *value);

Sets the "ThinPool" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_type_ ()

    const gchar *
    udisks_logical_volume_get_type_ (UDisksLogicalVolume *object);

Gets the value of the "Type" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_type_()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_type_ ()

    gchar *
    udisks_logical_volume_dup_type_ (UDisksLogicalVolume *object);

Gets a copy of the "Type" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_type_ ()

    void
    udisks_logical_volume_set_type_ (UDisksLogicalVolume *object,
                                     const gchar *value);

Sets the "Type" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_uuid ()

    const gchar *
    udisks_logical_volume_get_uuid (UDisksLogicalVolume *object);

Gets the value of the "UUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_uuid()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_uuid ()

    gchar *
    udisks_logical_volume_dup_uuid (UDisksLogicalVolume *object);

Gets a copy of the "UUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_uuid ()

    void
    udisks_logical_volume_set_uuid (UDisksLogicalVolume *object,
                                    const gchar *value);

Sets the "UUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_get_volume_group ()

    const gchar *
    udisks_logical_volume_get_volume_group
                                   (UDisksLogicalVolume *object);

Gets the value of the "VolumeGroup" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_logical_volume_dup_volume_group()` if on another thread.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_logical_volume_dup_volume_group ()

    gchar *
    udisks_logical_volume_dup_volume_group
                                   (UDisksLogicalVolume *object);

Gets a copy of the "VolumeGroup" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_logical_volume_set_volume_group ()

    void
    udisks_logical_volume_set_volume_group
                                   (UDisksLogicalVolume *object,
                                    const gchar *value);

Sets the "VolumeGroup" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLogicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_logical_volume_call_activate ()

    void
    udisks_logical_volume_call_activate (UDisksLogicalVolume *proxy,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `Activate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_activate_finish()` to get the result of the operation.

See `udisks_logical_volume_call_activate_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_activate_finish ()

    gboolean
    udisks_logical_volume_call_activate_finish
                                   (UDisksLogicalVolume *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_activate()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_activate()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_activate_sync ()

    gboolean
    udisks_logical_volume_call_activate_sync
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Activate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_activate()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_cache_attach ()

    void
    udisks_logical_volume_call_cache_attach
                                   (UDisksLogicalVolume *proxy,
                                    const gchar *arg_cache_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CacheAttach()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_cache_attach_finish()` to get the result of the operation.

See `udisks_logical_volume_call_cache_attach_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_cache_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_logical_volume_call_cache_attach_finish ()

    gboolean
    udisks_logical_volume_call_cache_attach_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_cache_attach()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_cache_attach()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_logical_volume_call_cache_attach_sync ()

    gboolean
    udisks_logical_volume_call_cache_attach_sync
                                   (UDisksLogicalVolume *proxy,
                                    const gchar *arg_cache_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CacheAttach()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_cache_attach()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_cache_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_logical_volume_call_cache_detach ()

    void
    udisks_logical_volume_call_cache_detach
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CacheDetach()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_cache_detach_finish()` to get the result of the operation.

See `udisks_logical_volume_call_cache_detach_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.6.3

### udisks_logical_volume_call_cache_detach_finish ()

    gboolean
    udisks_logical_volume_call_cache_detach_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_cache_detach()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_cache_detach()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_logical_volume_call_cache_detach_sync ()

    gboolean
    udisks_logical_volume_call_cache_detach_sync
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CacheDetach()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_cache_detach()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_logical_volume_call_cache_split ()

    void
    udisks_logical_volume_call_cache_split
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CacheSplit()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_cache_split_finish()` to get the result of the operation.

See `udisks_logical_volume_call_cache_split_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_logical_volume_call_cache_split_finish ()

    gboolean
    udisks_logical_volume_call_cache_split_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_cache_split()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_cache_split()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_logical_volume_call_cache_split_sync ()

    gboolean
    udisks_logical_volume_call_cache_split_sync
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CacheSplit()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_cache_split()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_logical_volume_call_create_snapshot ()

    void
    udisks_logical_volume_call_create_snapshot
                                   (UDisksLogicalVolume *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateSnapshot()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_create_snapshot_finish()` to get the result of the operation.

See `udisks_logical_volume_call_create_snapshot_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_create_snapshot_finish ()

    gboolean
    udisks_logical_volume_call_create_snapshot_finish
                                   (UDisksLogicalVolume *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_create_snapshot()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_create_snapshot()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_create_snapshot_sync ()

    gboolean
    udisks_logical_volume_call_create_snapshot_sync
                                   (UDisksLogicalVolume *proxy,
                                    const gchar *arg_name,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateSnapshot()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_create_snapshot()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_name | Argument to pass with the method invocation. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_deactivate ()

    void
    udisks_logical_volume_call_deactivate (UDisksLogicalVolume *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `Deactivate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_deactivate_finish()` to get the result of the operation.

See `udisks_logical_volume_call_deactivate_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_deactivate_finish ()

    gboolean
    udisks_logical_volume_call_deactivate_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_deactivate()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_deactivate()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_deactivate_sync ()

    gboolean
    udisks_logical_volume_call_deactivate_sync
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Deactivate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_deactivate()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_delete ()

    void
    udisks_logical_volume_call_delete (UDisksLogicalVolume *proxy,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Delete()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_delete_finish()` to get the result of the operation.

See `udisks_logical_volume_call_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_delete_finish ()

    gboolean
    udisks_logical_volume_call_delete_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_delete()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_delete_sync ()

    gboolean
    udisks_logical_volume_call_delete_sync
                                   (UDisksLogicalVolume *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Delete()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_delete()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_rename ()

    void
    udisks_logical_volume_call_rename (UDisksLogicalVolume *proxy,
                                       const gchar *arg_new_name,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Rename()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_rename_finish()` to get the result of the operation.

See `udisks_logical_volume_call_rename_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_new_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_rename_finish ()

    gboolean
    udisks_logical_volume_call_rename_finish
                                   (UDisksLogicalVolume *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_rename()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_rename()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_rename_sync ()

    gboolean
    udisks_logical_volume_call_rename_sync
                                   (UDisksLogicalVolume *proxy,
                                    const gchar *arg_new_name,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Rename()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_rename()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_new_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_resize ()

    void
    udisks_logical_volume_call_resize (UDisksLogicalVolume *proxy,
                                       guint64 arg_new_size,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Resize()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_logical_volume_call_resize_finish()` to get the result of the operation.

See `udisks_logical_volume_call_resize_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_new_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_logical_volume_call_resize_finish ()

    gboolean
    udisks_logical_volume_call_resize_finish
                                   (UDisksLogicalVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_logical_volume_call_resize()`.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_logical_volume_call_resize()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_call_resize_sync ()

    gboolean
    udisks_logical_volume_call_resize_sync
                                   (UDisksLogicalVolume *proxy,
                                    guint64 arg_new_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Resize()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_logical_volume_call_resize()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLogicalVolumeProxy. |
arg_new_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_logical_volume_skeleton_new ()

    UDisksLogicalVolume *
    udisks_logical_volume_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.LogicalVolume.

#### Returns

The skeleton object.

[transfer full][type UDisksLogicalVolumeSkeleton]

Since: 2.0.0

### udisks_logical_volume_complete_activate ()

    void
    udisks_logical_volume_complete_activate
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `Activate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_logical_volume_complete_cache_attach ()

    void
    udisks_logical_volume_complete_cache_attach
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CacheAttach()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_logical_volume_complete_cache_detach ()

    void
    udisks_logical_volume_complete_cache_detach
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CacheDetach()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.6.3

### udisks_logical_volume_complete_cache_split ()

    void
    udisks_logical_volume_complete_cache_split
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CacheSplit()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

### udisks_logical_volume_complete_create_snapshot ()

    void
    udisks_logical_volume_complete_create_snapshot
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `CreateSnapshot()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_logical_volume_complete_deactivate ()

    void
    udisks_logical_volume_complete_deactivate
                                   (UDisksLogicalVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Deactivate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_logical_volume_complete_delete ()

    void
    udisks_logical_volume_complete_delete (UDisksLogicalVolume *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Delete()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_logical_volume_complete_rename ()

    void
    udisks_logical_volume_complete_rename (UDisksLogicalVolume *object,
                                           GDBusMethodInvocation *invocation,
                                           const gchar *result);

Helper function used in service implementations to finish handling invocations of the `Rename()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

### udisks_logical_volume_complete_resize ()

    void
    udisks_logical_volume_complete_resize (UDisksLogicalVolume *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Resize()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLogicalVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

## Types and Values

### UDisksLogicalVolume

    typedef struct _UDisksLogicalVolume UDisksLogicalVolume;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.LogicalVolume.

Since: 2.0.0

### struct UDisksLogicalVolumeProxy

    struct UDisksLogicalVolumeProxy {
    };

The UDisksLogicalVolumeProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksLogicalVolumeProxyClass

    struct UDisksLogicalVolumeProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksLogicalVolumeProxy.

#### Members

Since: 2.0.0

### struct UDisksLogicalVolumeSkeleton

    struct UDisksLogicalVolumeSkeleton {
    };

The UDisksLogicalVolumeSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksLogicalVolumeSkeletonClass

    struct UDisksLogicalVolumeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksLogicalVolumeSkeleton.

#### Members

Since: 2.0.0